<template>
  <div id="experiences" class="experience-list sm:p-4 lg:p-10">
    <h2 class="p-6 text-4xl text-center">
      Experience Professionnelle
    </h2>

    <div class="relative m-2 sm:m-6 lg:m-8">
      <div class="border-r-2 border-gray-500 absolute h-full top-0" style="left: 15px" />
      <ul class="list-none m-0 p-0">
        <li v-for="experience in experiences" :key="experience.start" class="mb-2">
          <Experience :experience="experience" />
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
import Experience from './Experience'
export default {
  components: { Experience },
  props: {
    experiences: {
      type: Array,
      default: () => []
    }
  }
}
</script>
